commit:     add6c118667b6680011dfd57742d73dbb74c722e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  1 22:19:07 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar  1 23:35:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=add6c118

sci-libs/proj: bump to 8.0.0

Bug: https://bugs.gentoo.org/729098
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/proj/Manifest          |  1 +
 sci-libs/proj/proj-8.0.0.ebuild | 68 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/sci-libs/proj/Manifest b/sci-libs/proj/Manifest
index 597c5f10aec..34322161699 100644
--- a/sci-libs/proj/Manifest
+++ b/sci-libs/proj/Manifest
@@ -1,3 +1,4 @@
 DIST proj-7.2.1.tar.gz 5714666 BLAKE2B 
9379ef758b1221b9487f162a27e7afa737e668ad7a13fc7adbd8e1e2c1c4699263d5d3105d03781b423f284205de3c79fc68850b9fba6aa05f1dc553b77b0842
 SHA512 
59b9b31b0183e620a2f4a25a08620c170773fe4f99e8eca59e9ed6815f43bb379ea21ef71e8f759dbd747855b982657d7503bac3acc542218e0d862105f25324
+DIST proj-8.0.0.tar.gz 5722153 BLAKE2B 
a79626b62f5a9bdfb5395b32fee889e9ed003679926d499c169f896c5a8cd9495173cf156f4c780522dd31f79b71928d1c2add790176fb452c7267210c380816
 SHA512 
4195fd26075787465e578f86398e224957cddba743e2b090b65c877a6bfbc91b3b36d5acf9883bd2fc215a5aebd0b9f3188ee0e0926aa86d37f9753042fb3d75
 DIST proj-datumgrid-1.8.tar.gz 6604329 BLAKE2B 
78df259a811a79457d011b4f675f1a72b6613928bb0083d01bfe65bb4c333628725b300efdb7cf10ebc6f26ff03733886c20f25c7aef80875e81e59bda9fd7d3
 SHA512 
23153f5b57d210e37cd6e9e0fced23bdabb1c67476e9fb50eb83a68ae066a5c3675822472f5d558d10ddf36ac1d73d538b75304d112a1bfcd8d0bbd26c6481a5
 DIST proj-datumgrid-europe-1.6.tar.gz 189057258 BLAKE2B 
66daf2341b05d8d5f929f6d67e1913656c2380a3663b4359cb97576ff5954dbea5890862869bb1077f6cde760dada4d9f13201c5b2c29ef3458a8b43089e459c
 SHA512 
463d2575d5ce6f5984e69897c34ef80ec31a77f5ba00a07a5f55e97c3033dbae40b7d17891e5495bc47e6faf917968b1cdb7b3be9b2a4838e3b093b74753c2a8

diff --git a/sci-libs/proj/proj-8.0.0.ebuild b/sci-libs/proj/proj-8.0.0.ebuild
new file mode 100644
index 00000000000..5b83eb02429
--- /dev/null
+++ b/sci-libs/proj/proj-8.0.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DATUMGRID="${PN}-datumgrid-1.8.tar.gz"
+EUROPE_DATUMGRID="${PN}-datumgrid-europe-1.6.tar.gz"
+
+DESCRIPTION="PROJ coordinate transformation software"
+HOMEPAGE="https://proj4.org/";
+SRC_URI="
+       https://download.osgeo.org/proj/${P}.tar.gz
+       https://download.osgeo.org/proj/${DATUMGRID}
+       europe? ( https://download.osgeo.org/proj/${EUROPE_DATUMGRID} )
+"
+
+LICENSE="MIT"
+SLOT="0/22"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos"
+IUSE="curl europe static-libs test +tiff"
+REQUIRED_USE="test? ( !europe )"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-db/sqlite:3
+       curl? ( net-misc/curl )
+       tiff? ( media-libs/tiff )
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( dev-cpp/gtest )
+"
+
+src_unpack() {
+       unpack ${P}.tar.gz
+
+       cd "${S}"/data || die
+       mv README README.DATA || die
+
+       unpack ${DATUMGRID}
+       use europe && unpack ${EUROPE_DATUMGRID}
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DDOCDIR="${EPREFIX}/usr/share/${PF}"
+               -DBUILD_TESTING=$(usex test)
+               -DENABLE_CURL=$(usex curl)
+               -DBUILD_PROJSYNC=$(usex curl)
+               -DENABLE_TIFF=$(usex tiff)
+       )
+
+       use test && mycmakeargs+=( -DUSE_EXTERNAL_GTEST=ON )
+
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       cd data || die
+       dodoc README.{DATA,DATUMGRID}
+       use europe && dodoc README.EUROPE
+       find "${ED}" -name '*.la' -type f -delete || die
+}

Reply via email to